### File

`src/presetfilter-view/presetfilter-view.component.ts`

### Metadata

selector | `presetfilter-view`
styleUrls | `presetfilter-view.component.scss`
templateUrl | `./presetfilter-view.component.html`

### Index

###### Properties
presetFilterContent
###### Methods
Public getReadyPresetFilterView
###### Inputs
code datablock htmlTemplate id list presetFilters presetFilterView

### Constructor

`constructor(compilerService: CompilerService)`
Constructor. Generates the div identifier. Parameters :
Name | Type | Optional
compilerService | `CompilerService` | no

### Inputs

`code` | Type: `string` Default value: `''`

`datablock` | Type: `Datablock` Default value: `null`

`htmlTemplate` | Type: `string` Default value: `''`

`id` | Type: `string` Default value: `''`

`list` | Type: `Array<any>` Default value: `[]`

`presetFilters` | Type: `Array<PresetFilter>` Default value: `[]`

`presetFilterView` | Type: `PresetFilterView`

### Methods

Public getReadyPresetFilterView
`getReadyPresetFilterView()`
Returns an Observable that completes when presetFilterView is initialized Returns : `Observable<PresetFilterView>`

### Properties

presetFilterContent
`presetFilterContent: `ViewContainerRef``
Type : `ViewContainerRef`
Decorators : `ViewChild`

# results matching ""

# No results matching ""